#
# spec file for package libksysguard5
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libksysguard5
Version:        4.97.0
Release:        0
Summary:        Task management and system monitoring library
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            http://www.kde.org
Source:         http://download.kde.org/unstable/plasma/%{version}/src/libksysguard-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  extra-cmake-modules >= 0.0.9
BuildRequires:  gcc-c++
BuildRequires:  kconfig-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5Script) >= 5.2.0
BuildRequires:  pkgconfig(Qt5WebKitWidgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.2.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)
#BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Task management and system monitoring library.

%package devel
Summary:        Task management and system monitoring library -- devel files
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       kconfig-devel
Requires:       kdelibs4support-devel
Requires:       ki18n-devel
Requires:       pkgconfig(Qt5Core) >= 5.2.0
Requires:       pkgconfig(Qt5Network) >= 5.2.0
Requires:       pkgconfig(Qt5Widgets) >= 5.2.0
Conflicts:      kdebase4-workspace-devel

%description devel
Task management and system monitoring library. This package contains development
files.

%prep
%setup -q -n libksysguard-%{version}
sed -i '/^ecm_optional_add_subdirectory(po)/d' CMakeLists.txt

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libksgrd.so.*
%{_kf5_libdir}/liblsofui.so.*
%{_kf5_libdir}/libksignalplotter.so.*
%{_kf5_libdir}/libprocesscore.so.*
%{_kf5_libdir}/libprocessui.so.*
%{_kf5_sharedir}/ksysguard/

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_includedir}/ksysguard/
%{_kf5_libdir}/cmake/KF5SysGuard/
%{_kf5_libdir}/libksgrd.so
%{_kf5_libdir}/liblsofui.so
%{_kf5_libdir}/libksignalplotter.so
%{_kf5_libdir}/libprocesscore.so
%{_kf5_libdir}/libprocessui.so

%changelog
